#include "ace_pch.h"
// $Id: Thread_Hook.cpp,v 1.1.1.1.2.1 2002/01/09 20:40:49 michel_j Exp $

#include "ace/Thread_Hook.h"
#include "ace/OS.h"

ACE_RCSID(ace, Thread_Hook, "$Id: Thread_Hook.cpp,v 1.1.1.1.2.1 2002/01/09 20:40:49 michel_j Exp $")

void *
ACE_Thread_Hook::start (ACE_THR_FUNC func,
                        void *arg)
{
  return (func) (arg);
}

ACE_Thread_Hook *
ACE_Thread_Hook::thread_hook (ACE_Thread_Hook *hook)
{
  return ACE_OS_Object_Manager::thread_hook (hook);
}

ACE_Thread_Hook *
ACE_Thread_Hook::thread_hook (void)
{
  return ACE_OS_Object_Manager::thread_hook ();
}
